Bug 194660

Summary: Web Inspector: Console: dragging a selection outside the selected element clears the selection
Product: WebKit Reporter: Devin Rousso <drousso>
Component: Web InspectorAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, drousso, inspector-bugzilla-changes, joepeck, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch none

Description Devin Rousso 2019-02-14 11:29:00 PST
# STEPS TO REPRODUCE:
1. inspect any page
2. open the Console tab
3. log `console.log("Na".repeat(10000) + " Batman!")`
4. scroll to the top of the console
5. start selecting from the beginning(ish) of the log
6. quickly drag the cursor down to be over the console prompt (e.g. to fast scroll)
 => text selection disappears, and instead the entire log (and the `undefined` result) are selected (background-color)
Comment 1 Devin Rousso 2019-02-14 11:29:12 PST
<rdar://problem/46719239>
Comment 2 Devin Rousso 2019-02-14 11:30:56 PST
Created attachment 362042 [details]
Patch
Comment 3 Joseph Pecoraro 2019-02-25 23:34:37 PST
Comment on attachment 362042 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2019-02-26 00:00:32 PST
Comment on attachment 362042 [details]
Patch

Clearing flags on attachment: 362042

Committed r242078: <https://trac.webkit.org/changeset/242078>
Comment 5 WebKit Commit Bot 2019-02-26 00:00:34 PST
All reviewed patches have been landed.  Closing bug.